<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100101";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>
<script LANGUAGE="JavaScript">
				function numerico(e)
				{	var key; 
					var keychar;
					if (window.event)
					   key = window.event.keyCode;
					else if (e)
					   key = e.which;
					else
					   return true;
					keychar = String.fromCharCode(key);
					keychar = keychar.toLowerCase();
					if ((key==null) || (key==0) || (key==8) || (key==9) || (key==27) )
					   return true;
					else if ((("1234567890").indexOf(keychar) > -1))
					   return true;
					else
					   return false;
				}
				
				function alfanumerico(e)
				{
					var key;
					var keychar;
					if (window.event)
					   key = window.event.keyCode;
					else if (e)
					   key = e.which;
					else
					   return true;
					keychar = String.fromCharCode(key);
					keychar = keychar.toLowerCase();
					// control keys
					if ((key==null) || (key==0) || (key==8) ||
						(key==9) || (key==27) )
					   return true;
				
					// alphas and numbers
					else if ((("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz 1234567890áéíóúÁÉÍÓÚüÜñÑ").indexOf(keychar) > -1))
					   return true;
					else
					   return false;
				}			
		</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
		
			////Arrastrando la Variable del Documento
				$documento=$_GET["documento"] or $documento=$_POST["documento"];
				$etiqueta=$_GET["etiqueta"] or $etiqueta=$_POST["etiqueta"];
				$NoTarSurti=$_GET["NoTareaSurt"] or $NoTarSurti=$_POST["NoTareaSurt"];
				$ubicacion=$_GET["ubicacion"] or $ubicacion=$_POST["ubicacion"];
				$idtarea=$_GET["idtarea"] or $idtarea=$_POST["idtarea"];
				$pallet=$_GET["pallet"] or $pallet=$_POST["pallet"];
				$lote=$_GET["lote"] or $lote=$_POST["lote"];
				$lotep=$_GET["lotep"] or $lotep=$_POST["lotep"];
				$cantidad=$_GET["cantidad"] or $cantidad=$_POST["cantidad"];
				$sku=$_GET["sku"] or $sku=$_POST["sku"];
				$ubicacionDest=$_GET["ubicacionDes"] or $ubicacionDest=$_POST["ubicacionDes"];

			///Validar datos de la Tarea
			$sql_VG3 = mysql_query("select ID,NO_TAREA,NO_PALLET,NO_PALLET_NUEVO,SKU,CANT_XTAREA,CANT_SURTIDA,ESTADO_TAREA,UBICACION_ORIGEN,UBICACION_DESTINO,PEDIMENTO_SOLICITADO from tabla_resurtidopicking_tareas where NO_DOCUMENTO='$documento' AND CVE_CUENTA='$CveCueCR1' AND USUARIO_GENERO='$UsuEn' AND NO_TAREA='$idtarea' ORDER BY PRIORIDAD_ORIGEN ASC Limit 0,1");
			if (mysql_numrows($sql_VG3)==0) 
			{echo "";}
			else
			{
				$registro_VG3=mysql_fetch_array($sql_VG3);
			}
			if (mysql_numrows($sql_VG3)>0)
			{
				$IdBaDa_VG3=$registro_VG3["ID"];
				$NumTar_VG3=$registro_VG3["NO_TAREA"];
				$NumPal_VG3=$registro_VG3["NO_PALLET"];
				$NPalNu_VG3=$registro_VG3["NO_PALLET_NUEVO"];
				$CodSku_VG3=$registro_VG3["SKU"];
				$CaXTar_VG3=$registro_VG3["CANT_XTAREA"];
				$CaSurt_VG3=$registro_VG3["CANT_SURTIDA"];
				$EdoTar_VG3=$registro_VG3["ESTADO_TAREA"];
				$CveUbi_VG3=$registro_VG3["UBICACION_ORIGEN"];
				$UbiDes_VG3=$registro_VG3["UBICACION_DESTINO"];
				$LotPro_VG3=$registro_VG3["PEDIMENTO_SOLICITADO"];
			}
			
			///Validar datos de la Tarea
			$sql_VG4 = mysql_query("select NO_DOCUMENTO,SKU_ALT,EDO_CALIDAD from tabla_inventario where SKU='$CodSku_VG3' AND NO_PALLET='$NPalNu_VG3' AND CVE_CUENTA='$CveCueCR1'Limit 0,1");
			if (mysql_numrows($sql_VG4)==0) 
			{echo "";}
			else
			{
				$registro_VG4=mysql_fetch_array($sql_VG4);
			}
			if (mysql_numrows($sql_VG4)>0)
			{
				$DocR_VG4=$registro_VG4["NO_DOCUMENTO"];
				$SAlt_VG4=$registro_VG4["SKU_ALT"];
				$Cali_VG4=$registro_VG4["EDO_CALIDAD"];
			}
						

?>
<div data-role="header">
		<h1>|| LOGSYS - WMS ||</h1>
</div>
	
<div align="center">
	
<?PHP
///Inicia Proceso de Confirmación de Resurtido
			
///1) Traspaso del pallet nuevo (Respectivo Kardek)	  
///2) Cambio de Calidad del pallet nuevo (Respectivo Kardek)	  
///3) Confirmación de la tarea de Resurtido

///Fecha y Hora
	$Hora=time();
	$HoraOK=date("H:i:s",$Hora);
	$Fecha=date("Y/m/d");
			
/// Inica Proceso de Traspaso de Pallet *****************************************************************************************************
			
	///Generar folio consecutivo
	$sqlIDK = "select max(ID) as ultimo_FOLIOK from tabla_kardex"; 
	$libK = mysql_query($sqlIDK); 
	$rs_libK = mysql_fetch_assoc($libK); 
	$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;

	///Guardar el registro a MENOS dentro del Kardex
	$sqlKMEN = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
	values('$id_nuevoK','$CveBodCR1','$CveCueCR1','$CodSku_VG3','$SAlt_VG4','$DocR_VG4','TRASPASO -','$CveUbi_VG3','$NPalNu_VG3','-$CaXTar_VG3','$HoraOK','$Fecha','$UsuEn')";
	$resultadoKMEN=mysql_query($sqlKMEN) or die(mysql_error());
			
	///Generar folio consecutivo
	$sqlIDK2 = "select max(ID) as ultimo_FOLIOK2 from tabla_kardex"; 
	$libK2 = mysql_query($sqlIDK2); 
	$rs_libK2 = mysql_fetch_assoc($libK2); 
	$id_nuevoK2 = $rs_libK2['ultimo_FOLIOK2'] + 1;

	///Guardar el registro a MAS dentro del Kardex
	$sqlKMAS = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
	values('$id_nuevoK2','$CveBodCR1','$CveCueCR1','$CodSku_VG3','$SAlt_VG4','$DocR_VG4','TRASPASO +','$UbiDes_VG3','$NPalNu_VG3','$CaXTar_VG3','$HoraOK','$Fecha','$UsuEn')";
	$resultadoKMAS=mysql_query($sqlKMAS) or die(mysql_error());
			
	///Consultar la prioridad de la Nueva Ubicación
	$sql_VG5 = mysql_query("select PRIORIDAD from tabla_prioridad where UBICACION='$UbiDes_VG3' AND CVE_CUENTA='$CveCueCR1'Limit 0,1");
	if (mysql_numrows($sql_VG5)==0) 
	{echo "";}
	else
	{
		$registro_VG5=mysql_fetch_array($sql_VG5);
	}
	if (mysql_numrows($sql_VG5)>0)
	{
		$Prio_VG5=$registro_VG5["PRIORIDAD"];
	}
			
/// Termina Proceso de Traspaso de Pallet *****************************************************************************************************		

/// Inica Proceso de Cambio de Calidad de Pallet **********************************************************************************************
			
	///Generar folio consecutivo
	$sqlIDK3 = "select max(ID) as ultimo_FOLIOK3 from tabla_kardex"; 
	$libK3 = mysql_query($sqlIDK3); 
	$rs_libK3 = mysql_fetch_assoc($libK3); 
	$id_nuevoK3 = $rs_libK3['ultimo_FOLIOK3'] + 1;

	///Guardar el registro a MENOS dentro del Kardex
	$sqlKMEN = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
	values('$id_nuevoK3','$CveBodCR1','$CveCueCR1','$CodSku_VG3','$SAlt_VG4','$DocR_VG4','CALIDAD - $Cali_VG4','$UbiDes_VG3','$NPalNu_VG3','-$CaXTar_VG3','$HoraOK','$Fecha','$UsuEn')";
	$resultadoKMEN=mysql_query($sqlKMEN) or die(mysql_error());
			
	///Generar folio consecutivo
	$sqlIDK4 = "select max(ID) as ultimo_FOLIOK4 from tabla_kardex"; 
	$libK4 = mysql_query($sqlIDK4); 
	$rs_libK4 = mysql_fetch_assoc($libK4); 
	$id_nuevoK4 = $rs_libK4['ultimo_FOLIOK4'] + 1;

	///Guardar el registro a MAS dentro del Kardex
	$sqlKMAS = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
	values('$id_nuevoK4','$CveBodCR1','$CveCueCR1','$CodSku_VG3','$SAlt_VG4','$DocR_VG4','CALIDAD - D','$UbiDes_VG3','$NPalNu_VG3','$CaXTar_VG3','$HoraOK','$Fecha','$UsuEn')";
	$resultadoKMAS=mysql_query($sqlKMAS) or die(mysql_error());
			
/// Termina Proceso de Cambio de Calidad de Pallet **********************************************************************************************		
		
	///Modificar la Ubicación, Prioridad de Surtido, Tipo de Ubicación y Estado de Calidad del Pallet Resurtido
	$Sql_MS = "UPDATE tabla_inventario SET UBICACION = '$UbiDes_VG3',PRIORIDAD='$Prio_VG5',TIPO_UBICACION='PICKING',EDO_CALIDAD='D' WHERE SKU='$CodSku_VG3' AND NO_PALLET='$NPalNu_VG3' AND CVE_CUENTA='$CveCueCR1'";
	$resultado_MS=mysql_query($Sql_MS) or die(mysql_error());
			
	///Confirmar la Ejecución de la Tarea de Resurtido
	$Sql_MS2 = "UPDATE tabla_resurtidopicking_tareas SET ESTADO_TAREA = 'EJECUTADA',USUARIO_EJECUTO='$UsuEn',FECHA_EJECUTO='$Fecha',HORA_EJECUTO='$HoraOK' WHERE NO_DOCUMENTO='$documento' AND NO_PALLET_NUEVO='$NPalNu_VG3' AND SKU='$CodSku_VG3' AND CVE_CUENTA='$CveCueCR1' AND ID='$IdBaDa_VG3'";
	$resultado_MS2=mysql_query($Sql_MS2) or die(mysql_error());

			
	///Redireccionamiento
	echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=16-ResurtidoPicking.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento&etiqueta=$etiqueta&sku=$sku&NoTareaSurt=$NoTarSurti'>";
?>			
	
</div>
	
<div data-role="footer">
	<h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
</div>
</div>
<?php				
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>
